Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \ --url https://api.turnkey.com/public/v1/query/get_latest_boot_proof \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --header "X-Stamp: <string> (see Authorizations)" \ --data '{ "organizationId": "<string>", "appName": "<string>" }'
import { Turnkey } from "@turnkey/sdk-server"; const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!, }); const response = await turnkeyClient.apiClient().getLatestBootProof({ organizationId: "<string> (Unique identifier for a given Organization.)", appName: "<string> (Unique identifier (UUID) of the enclave app.)" });
{ "bootProof": { "ephemeralPublicKeyHex": "<string>", "awsAttestationDocB64": "<string>", "qosManifestB64": "<string>", "qosManifestEnvelopeB64": "<string>", "deploymentLabel": "<string>", "enclaveApp": "<string>", "owner": "<string>", "createdAt": { "seconds": "<string>", "nanos": "<string>" }, "qosManifestVersion": "<string>" } }
Get the latest Boot Proof for a given enclave app name.
Show bootProof details
Was this page helpful?